## Docker build

### Description

Builds a docker image

### Inputs

| name | description | required | default |
| --- | --- | --- | --- |
| `name` | <p>Directory name</p> | `true` | `""` |
| `REGISTRY_USERNAME` | <p>Registry username</p> | `true` | `""` |
| `REGISTRY_TOKEN` | <p>Registry token</p> | `true` | `""` |
| `DOCKER_USERNAME` | <p>Docker username</p> | `true` | `""` |
| `DOCKER_PASSWORD` | <p>Docker password</p> | `true` | `""` |


### Runs

This action is a `composite` action.

### Usage

```yaml
- uses: ***PROJECT***@***VERSION***
  with:
    name:
    # Directory name
    #
    # Required: true
    # Default: ""

    REGISTRY_USERNAME:
    # Registry username
    #
    # Required: true
    # Default: ""

    REGISTRY_TOKEN:
    # Registry token
    #
    # Required: true
    # Default: ""

    DOCKER_USERNAME:
    # Docker username
    #
    # Required: true
    # Default: ""

    DOCKER_PASSWORD:
    # Docker password
    #
    # Required: true
    # Default: ""
```



